Subject: Re: Harbor Freight Tools

From: John Wishart <[email-masked]>
Date: 20 Feb 1995 15:45:57 GMT

RE: Harbor Freight Tools

I just received a small bench-top drill press from Harbor Freight.  It
was the cheapest one I could find @ $52.99.  It was, of course, a far
east import (I forgot to check the country of origin).

I was pleasantly surprised with the overall quality of the unit, since
I was expecting the worst.  It was reasonably well constructed and
finished and works fine for my purposes.  The castings and machining
were of "good" quality and the paint (a yucky green) was OK.

I have no info on their warranty or return performance, since I
haven't had to use those.

John